Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.blockterms
Class TermsIndexWriterBase.FieldWriter

    java.lang.Object
      org.apache.lucene.codecs.blockterms.TermsIndexWriterBase.FieldWriter

Enclosing class:
  TermsIndexWriterBase

    public abstract class TermsIndexWriterBase.FieldWriter

extends Object

Terms index API for a single field.

Constructor Summary
`TermsIndexWriterBase.FieldWriter()`

Method Summary
`abstract void` | `add(BytesRef text, TermStats stats, long termsFilePointer)`
`abstract boolean` | `checkIndexTerm(BytesRef text, TermStats stats)`
`abstract void` | `finish(long termsFilePointer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsIndexWriterBase.FieldWriter

    public TermsIndexWriterBase.FieldWriter()

Method Detail

### checkIndexTerm

    public abstract boolean checkIndexTerm(BytesRef text,
                                           TermStats stats)
                                    throws IOException

  Throws:
    `IOException`

### add

    public abstract void add(BytesRef text,
                             TermStats stats,
                             long termsFilePointer)
                      throws IOException

  Throws:
    `IOException`

### finish

    public abstract void finish(long termsFilePointer)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.